BitMagic-C++: bm::bvector< Alloc >::mem_pool_guard Class Reference

BitMagic-C++

Public Member Functions
bm::bvector< Alloc >::mem_pool_guard Class Reference
BitMagic Library » bvector<> container

`#include <bm.h>`

## Public Member Functions
| mem_pool_guard () BMNOEXCEPT
| mem_pool_guard (allocator_pool_type &pool, bvector< Alloc > &bv) BMNOEXCEPT
| ~mem_pool_guard ()
void | assign_if_not_set (allocator_pool_type &pool, bvector< Alloc > &bv) BMNOEXCEPT
| check if vector has no assigned allocator and set one More...

## Detailed Description

### template<class Alloc>
class bm::bvector< Alloc >::mem_pool_guard

Resource guard for bvector<>::set_allocator_pool()

Definition at line 771 of file bm.h.

## Constructor & Destructor Documentation

## ◆ mem_pool_guard() [1/2]

template<class Alloc >

bm::bvector< Alloc >::mem_pool_guard::mem_pool_guard | ( |  | ) |
| inline

Definition at line 774 of file bm.h.

## ◆ mem_pool_guard() [2/2]

template<class Alloc >

bm::bvector< Alloc >::mem_pool_guard::mem_pool_guard | ( | allocator_pool_type & | pool,
|  | bvector< Alloc > & | bv
| ) |  |
| inline

Definition at line 777 of file bm.h.

## ◆ ~mem_pool_guard()

template<class Alloc >

bm::bvector< Alloc >::mem_pool_guard::~mem_pool_guard | ( |  | ) |
| inline

Definition at line 782 of file bm.h.

References bm::bvector< Alloc >::iterator_base::bv_.

## Member Function Documentation

## ◆ assign_if_not_set()

template<class Alloc >

void bm::bvector< Alloc >::mem_pool_guard::assign_if_not_set | ( | allocator_pool_type & | pool,
|  | bvector< Alloc > & | bv
| ) |  |
| inline

check if vector has no assigned allocator and set one

Definition at line 789 of file bm.h.

References BM_ASSERT, and bm::bvector< Alloc >::iterator_base::bv_.

Referenced by bm::set2set_11_transform< SV >::attach_sv(), bm::deserializer< bvector_type, bm::decoder >::deserialize(), bm::sparse_vector_scanner< SV >::find_eq(), bm::serializer< bvector_type >::optimize_serialize_destroy(), bm::set2set_11_transform< SV >::remap(), and bm::sparse_vector_find_mismatch().

The documentation for this class was generated from the following file:

- bm.h